#include "feature_matching.h"

// ---------- Constructor ---------- //
FeatureMatching::FeatureMatching(bool try_gpu, float match_confidence) {
	matcher = new cv::detail::BestOf2NearestMatcher(try_gpu, match_confidence);
}

int FeatureMatching::feature_matching(std::vector<cv::detail::ImageFeatures> &features,
	std::vector<cv::detail::MatchesInfo> &pairwise_matches) {
	matcher(features, pairwise_matches);

	matcher.collectGarbage();

	return 0;
}
